summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-03-06 02:45:42 +0000
committer Eric Hameleers <alien@slackware.com>2020-03-06 08:59:50 +0100
commitd6198f3d53a5c2a33681cec675c3ebc7a4a7fa66 (patch)
tree1376b87fd1c42ab62b691a6f61101eb0697e8359 /source
parentcb1ee501cabf242b70244f6035a07307b0bb2f35 (diff)
downloadcurrent-d6198f3d53a5c2a33681cec675c3ebc7a4a7fa66.tar.gz
current-d6198f3d53a5c2a33681cec675c3ebc7a4a7fa66.tar.xz
Fri Mar 6 02:45:42 UTC 202020200306024542
a/coreutils-8.32-x86_64-1.txz: Upgraded. a/kernel-generic-5.4.24-x86_64-1.txz: Upgraded. a/kernel-huge-5.4.24-x86_64-1.txz: Upgraded. a/kernel-modules-5.4.24-x86_64-1.txz: Upgraded. a/kmod-27-x86_64-1.txz: Upgraded. d/kernel-headers-5.4.24-x86-1.txz: Upgraded. d/mercurial-5.3.1-x86_64-1.txz: Upgraded. k/kernel-source-5.4.24-noarch-1.txz: Upgraded. -HEADER_TEST n l/python-packaging-20.3-x86_64-1.txz: Upgraded. l/vte-0.60.0-x86_64-1.txz: Upgraded. x/mesa-20.0.1-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/kmod/kmod.SlackBuild62
-rwxr-xr-xsource/d/mercurial/mercurial.SlackBuild2
-rw-r--r--source/k/kernel-configs/config-generic-5.4.24 (renamed from source/k/kernel-configs/config-generic-5.4.23)3
-rw-r--r--source/k/kernel-configs/config-generic-5.4.24.x64 (renamed from source/k/kernel-configs/config-generic-5.4.23.x64)3
-rw-r--r--source/k/kernel-configs/config-generic-smp-5.4.24-smp (renamed from source/k/kernel-configs/config-generic-smp-5.4.23-smp)3
-rw-r--r--source/k/kernel-configs/config-huge-5.4.24 (renamed from source/k/kernel-configs/config-huge-5.4.23)3
-rw-r--r--source/k/kernel-configs/config-huge-5.4.24.x64 (renamed from source/k/kernel-configs/config-huge-5.4.23.x64)3
-rw-r--r--source/k/kernel-configs/config-huge-smp-5.4.24-smp (renamed from source/k/kernel-configs/config-huge-smp-5.4.23-smp)3
-rwxr-xr-xsource/l/vte/vte.SlackBuild3
-rwxr-xr-xsource/n/ppp/ppp.SlackBuild2
10 files changed, 44 insertions, 43 deletions
diff --git a/source/a/kmod/kmod.SlackBuild b/source/a/kmod/kmod.SlackBuild
index 0ce2ee594..90eb3432c 100755
--- a/source/a/kmod/kmod.SlackBuild
+++ b/source/a/kmod/kmod.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for kmod
# Copyright 2011-2016 Robby Workman, Tuscaloosa, Alabama, USA
-# Copyright 2013-2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2013-2020 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,8 +26,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=kmod
-VERSION=${VERSION:-26}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-27}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -45,6 +45,8 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -66,7 +68,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
@@ -89,18 +91,19 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--mandir=/usr/man \
--docdir=/usr/doc/$PKGNAM-$VERSION \
+ --with-openssl \
--with-xz \
--with-zlib \
--build=$ARCH-slackware-linux || exit 1
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make $NUMJOBS || make || exit 1
+make $NUMJOBS install DESTDIR=$PKG || make install DESTDIR=$PKG || exit 1
# "make clean" deletes too much, so we have to start fresh :(
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
@@ -112,27 +115,30 @@ find . \
# Fix paths in manual pages
sed -i "s,/usr/lib,/lib,g" man/*
-# Build python3 bindings for libkmod
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-PYTHON=python3 \
-./configure \
- --prefix=/usr \
- --libdir=/lib${LIBDIRSUFFIX} \
- --bindir=/sbin \
- --sbindir=/sbin \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --with-xz \
- --with-zlib \
- --build=$ARCH-slackware-linux || exit 1
-
-make \
- install-pkgpyexecLTLIBRARIES \
- install-dist_pkgpyexecPYTHON \
- DESTDIR=$PKG || exit 1
+## We aren't including python bindings unless something needs them...
+## Build python3 bindings for libkmod
+#CFLAGS="$SLKCFLAGS" \
+#CXXFLAGS="$SLKCFLAGS" \
+#PYTHON=python3 \
+#./configure \
+# --prefix=/usr \
+# --libdir=/lib${LIBDIRSUFFIX} \
+# --bindir=/sbin \
+# --sbindir=/sbin \
+# --sysconfdir=/etc \
+# --localstatedir=/var \
+# --mandir=/usr/man \
+# --docdir=/usr/doc/$PKGNAM-$VERSION \
+# --with-openssl \
+# --with-xz \
+# --with-zlib \
+# --build=$ARCH-slackware-linux || exit 1
+#
+#make \
+# $NUMJOBS \
+# install-pkgpyexecLTLIBRARIES \
+# install-dist_pkgpyexecPYTHON \
+# DESTDIR=$PKG || exit 1
# Strip binaries:
( cd $PKG
diff --git a/source/d/mercurial/mercurial.SlackBuild b/source/d/mercurial/mercurial.SlackBuild
index dff5f3cb9..5074b56a5 100755
--- a/source/d/mercurial/mercurial.SlackBuild
+++ b/source/d/mercurial/mercurial.SlackBuild
@@ -62,7 +62,7 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-python setup.py build install --root=$PKG || exit 1
+python3 setup.py build install --root=$PKG || exit 1
# Ordinarily we will not add stuff that's not installed through the normal
# default installation method, but we've had a lot of requests, and it appears
diff --git a/source/k/kernel-configs/config-generic-5.4.23 b/source/k/kernel-configs/config-generic-5.4.24
index 5ec55963f..d9eadbebf 100644
--- a/source/k/kernel-configs/config-generic-5.4.23
+++ b/source/k/kernel-configs/config-generic-5.4.24
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 5.4.23 Kernel Configuration
+# Linux/x86 5.4.24 Kernel Configuration
#
#
@@ -23,7 +23,6 @@ CONFIG_THREAD_INFO_IN_TASK=y
CONFIG_BROKEN_ON_SMP=y
CONFIG_INIT_ENV_ARG_LIMIT=32
# CONFIG_COMPILE_TEST is not set
-# CONFIG_HEADER_TEST is not set
CONFIG_LOCALVERSION=""
# CONFIG_LOCALVERSION_AUTO is not set
CONFIG_BUILD_SALT=""
diff --git a/source/k/kernel-configs/config-generic-5.4.23.x64 b/source/k/kernel-configs/config-generic-5.4.24.x64
index 94e679957..1acd5710a 100644
--- a/source/k/kernel-configs/config-generic-5.4.23.x64
+++ b/source/k/kernel-configs/config-generic-5.4.24.x64
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 5.4.23 Kernel Configuration
+# Linux/x86 5.4.24 Kernel Configuration
#
#
@@ -22,7 +22,6 @@ CONFIG_THREAD_INFO_IN_TASK=y
#
CONFIG_INIT_ENV_ARG_LIMIT=32
# CONFIG_COMPILE_TEST is not set
-# CONFIG_HEADER_TEST is not set
CONFIG_LOCALVERSION=""
# CONFIG_LOCALVERSION_AUTO is not set
CONFIG_BUILD_SALT=""
diff --git a/source/k/kernel-configs/config-generic-smp-5.4.23-smp b/source/k/kernel-configs/config-generic-smp-5.4.24-smp
index 3c4e64af8..f013f5134 100644
--- a/source/k/kernel-configs/config-generic-smp-5.4.23-smp
+++ b/source/k/kernel-configs/config-generic-smp-5.4.24-smp
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 5.4.23 Kernel Configuration
+# Linux/x86 5.4.24 Kernel Configuration
#
#
@@ -22,7 +22,6 @@ CONFIG_THREAD_INFO_IN_TASK=y
#
CONFIG_INIT_ENV_ARG_LIMIT=32
# CONFIG_COMPILE_TEST is not set
-# CONFIG_HEADER_TEST is not set
CONFIG_LOCALVERSION="-smp"
# CONFIG_LOCALVERSION_AUTO is not set
CONFIG_BUILD_SALT=""
diff --git a/source/k/kernel-configs/config-huge-5.4.23 b/source/k/kernel-configs/config-huge-5.4.24
index d9b32588c..c4eb92013 100644
--- a/source/k/kernel-configs/config-huge-5.4.23
+++ b/source/k/kernel-configs/config-huge-5.4.24
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 5.4.23 Kernel Configuration
+# Linux/x86 5.4.24 Kernel Configuration
#
#
@@ -23,7 +23,6 @@ CONFIG_THREAD_INFO_IN_TASK=y
CONFIG_BROKEN_ON_SMP=y
CONFIG_INIT_ENV_ARG_LIMIT=32
# CONFIG_COMPILE_TEST is not set
-# CONFIG_HEADER_TEST is not set
CONFIG_LOCALVERSION=""
# CONFIG_LOCALVERSION_AUTO is not set
CONFIG_BUILD_SALT=""
diff --git a/source/k/kernel-configs/config-huge-5.4.23.x64 b/source/k/kernel-configs/config-huge-5.4.24.x64
index e47cf02e9..91943ebed 100644
--- a/source/k/kernel-configs/config-huge-5.4.23.x64
+++ b/source/k/kernel-configs/config-huge-5.4.24.x64
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 5.4.23 Kernel Configuration
+# Linux/x86 5.4.24 Kernel Configuration
#
#
@@ -22,7 +22,6 @@ CONFIG_THREAD_INFO_IN_TASK=y
#
CONFIG_INIT_ENV_ARG_LIMIT=32
# CONFIG_COMPILE_TEST is not set
-# CONFIG_HEADER_TEST is not set
CONFIG_LOCALVERSION=""
# CONFIG_LOCALVERSION_AUTO is not set
CONFIG_BUILD_SALT=""
diff --git a/source/k/kernel-configs/config-huge-smp-5.4.23-smp b/source/k/kernel-configs/config-huge-smp-5.4.24-smp
index ecd0e022b..58df9c82b 100644
--- a/source/k/kernel-configs/config-huge-smp-5.4.23-smp
+++ b/source/k/kernel-configs/config-huge-smp-5.4.24-smp
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 5.4.23 Kernel Configuration
+# Linux/x86 5.4.24 Kernel Configuration
#
#
@@ -22,7 +22,6 @@ CONFIG_THREAD_INFO_IN_TASK=y
#
CONFIG_INIT_ENV_ARG_LIMIT=32
# CONFIG_COMPILE_TEST is not set
-# CONFIG_HEADER_TEST is not set
CONFIG_LOCALVERSION="-smp"
# CONFIG_LOCALVERSION_AUTO is not set
CONFIG_BUILD_SALT=""
diff --git a/source/l/vte/vte.SlackBuild b/source/l/vte/vte.SlackBuild
index e6e1a8973..9937c9789 100755
--- a/source/l/vte/vte.SlackBuild
+++ b/source/l/vte/vte.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2010, 2012, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2012, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -95,6 +95,7 @@ meson setup \
--sysconfdir=/etc \
--localstatedir=/var \
--buildtype=release \
+ -D_systemd=false \
.. || exit 1
"${NINJA:=ninja}" $NUMJOBS || exit 1
DESTDIR=$PKG $NINJA install || exit 1
diff --git a/source/n/ppp/ppp.SlackBuild b/source/n/ppp/ppp.SlackBuild
index 7253998e0..f318d859e 100755
--- a/source/n/ppp/ppp.SlackBuild
+++ b/source/n/ppp/ppp.SlackBuild
@@ -95,7 +95,7 @@ fi
--libdir=/usr/lib${LIBDIRSUFFIX} || exit 1
make $PAM_OPTIONS $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG/usr || exit 1
+make $PAM_OPTIONS install DESTDIR=$PKG/usr || exit 1
if [ ! -z "$PAM_OPTIONS" ]; then
mkdir -p $PKG/etc/pam.d